from django.apps import AppConfig


class MriUsersConfig(AppConfig):
    name = 'mri_users'

    def ready(self):
        from django.core.signals import request_finished, request_started
        from mri_users.signals import manage_model_entry_validity, delete_mail_draft
        request_finished.connect(manage_model_entry_validity, dispatch_uid='manage_model_entry_validity')
        request_started.connect(delete_mail_draft, dispatch_uid='delete_mail_draft')
