# Generated by Django 3.2.11 on 2022-02-22 14:53

import ckeditor.fields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


def add_mail_model(apps, schema_editor):
    MailsModels = apps.get_model("mri_users", "MailsModels")
    MailsModels(mail_name="register_accept",
                title="Inscription MRI validé",
                body_fr="<p>Bonjour,</p>"\
                "<p>Votre inscription à MRI viens d'être validé.</p>"\
                "<p>Pour rappel votre identifiant est: {{ newuser.username }}</p>"\
                "<p>Cordialement,</p>"\
                "<p>L'équipe MRI</p>",
                body_en="<p>Dear Mr/Mrs,</p>"\
                "<p>Your registration to MRI has just been validated</p>"\
                "<p>As a reminder, your login is: {{ newuser.username }}</p>"\
                "<p>Best Regards,</p>"\
                "<p>MRI Team</p>").save()

def add_mail_model_reverse(apps, schema_editor):
    pass


class Migration(migrations.Migration):

    dependencies = [
        ('mri_users', '0012_user_locked'),
    ]

    operations = [
        migrations.CreateModel(
            name='MailsModels',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('mail_name', models.CharField(max_length=30)),
                ('title', models.CharField(max_length=100, verbose_name='Title')),
                ('body_fr', ckeditor.fields.RichTextField(verbose_name='French text')),
                ('body_en', ckeditor.fields.RichTextField(verbose_name='English text')),
                ('last_updated', models.DateTimeField(auto_now=True)),
                ('test_for', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddConstraint(
            model_name='mailsmodels',
            constraint=models.UniqueConstraint(fields=('mail_name', 'test_for'), name='unique_mail_name_by_user'),
        ),
        migrations.RunPython(add_mail_model, add_mail_model_reverse),
    ]
