'''
Created on 12 mars 2021

@author: laborie
'''
from django import template
from django.utils.safestring import mark_safe
from mri_users.models import MailsModels
from django.utils.html import format_html
from django.template.base import Template

register = template.Library()

@register.filter
def highlight_search(text, search):
    highlighted = text.replace(search, '<span class="bg-warning">{}</span>'.format(search))
    return mark_safe(highlighted)

@register.filter
def highlight_search_and_capitalize(text, search):
    if not len(text):
        return text
    text = text.lower()
    highlighted = text.replace(search, '<span class="bg-warning">{}</span>'.format(search))
    return mark_safe(capitalize_html(highlighted))

def capitalize_html(html):
    if html[0].isalpha():
        return html.capitalize()
    afterletter = None
    dontcapital = 0
    afterhtml = ""
    for character in html:
        if character == "/" and afterletter == "<":
            afterhtml += character
            dontcapital = 1
        elif afterletter == ">":
            if dontcapital == 0:
                afterhtml += character.upper()
            else:
                afterhtml += character
                dontcapital = 0
        else:
            afterhtml += character
        afterletter = character
    return afterhtml

@register.simple_tag(takes_context=True)
def mail_content_from_bdd(context, mail_name, test_for_username):
    if test_for_username == '':
        mail_content = MailsModels.objects.get(mail_name=mail_name,
                                               test_for=None)
    else:
        mail_content = MailsModels.objects.get(mail_name=mail_name,
                                               test_for__username=test_for_username)
    template = Template(mail_content.title)
    title = template.render(context=context)
    template = Template(mail_content.body_fr)
    body_fr = template.render(context=context)
    template = Template(mail_content.body_en)
    body_en = template.render(context=context)
    return (title,
            format_html(body_fr),
            format_html(body_en))
